#!/bin/bash
echo CenturyArks SilkyEvCam G31 FPGA Updater

OS_VERSION_ID=$(cat /etc/os-release | grep VERSION_ID | awk -F\" '{print $2}'>&1)

if [ ! -d bin/$OS_VERSION_ID ]; then
    echo "This OS version(${OS_VERSION_ID}) is not Supported."
    exit 1
fi

export LD_LIBRARY_PATH=lib/$OS_VERSION_ID
chmod +x bin/$OS_VERSION_ID/silkyevcam_gen31_updater
./bin/$OS_VERSION_ID/silkyevcam_gen31_updater --usb-fpga image/SilkyEvCam_FPGA_v4.2.0.bit
